From 6c172d458d196c7cc802950033b35c94e369fd80 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Sun, 25 Aug 2024 14:30:42 +0800
Subject: [PATCH] exe.c: define le16toh on macOS

Fixes: https://github.com/ib/xarchiver/issues/198
---
 src/exe.c | 1 +
 1 file changed, 1 insertion(+)

diff --git src/exe.c src/exe.c
index e23dd532..a01cd7c5 100644
--- src/exe.c
+++ src/exe.c
@@ -19,6 +19,7 @@
 
 #ifdef __APPLE__
 #include <libkern/OSByteOrder.h>
+#define le16toh(x) OSSwapLittleToHostInt16(x)
 #define le32toh(x) OSSwapLittleToHostInt32(x)
 #elif defined(__FreeBSD__)
 #include <sys/endian.h>
